import QtQuick 1.1
import QtWidgetProxies 1.0
import "../common/widgets" as Widgets
import "../common/EnumHelper.js" as EnumHelper

ActivationBasePage
{
	Localizer { id:tr; scope:"LicenseManager" }
	headerString:			tr.Localize("ActivationSubscriptionReplace_Header")
	objectName: "activationHasLicense"
	nextButtonEnabled:		context.ActivationPageSubscriptionReplace.IsNextEnabled

	Column
	{
		anchors.left: parent.left
		anchors.right: parent.right
		anchors.verticalCenter: parent.verticalCenter
		spacing: 8
		AnimatedImage
		{
			anchors.horizontalCenter: parent.horizontalCenter
			source: "../common/images/license/ico_warning_96.png";
		}
		Text
		{
			font: activationWizard.fontStyles.stateTextForWaitingActivation
			text: tr.Localize("ActivationSubscriptionReplace_Text")
			anchors.left: parent.left
			anchors.right: parent.right
			wrapMode: "WordWrap"
		}
		Widgets.CheckBox
		{
			id: replaceCheck
			target: context.ActivationPageSubscriptionReplace
			property: "ShouldReplace"
			text: tr.Localize("ActivationSubscriptionReplace_Check")
			textfont: activationWizard.fontStyles.checkBoxTextRegistrationPage
			anchors.left: parent.left
			anchors.right: parent.right
			wrapMode: Text.WordWrap
		}
	}
}

