import QtQuick 1.1

Flipable
{
	id: flipable
	clip: true
	signal animationStarted
	signal animationFinished
	property bool animated: true
	function isFlipped()
	{
		return flipable.state == "back"
	}
	function flip()
	{
		flipable.state = "back"
	}
	
	function flipBack()
	{
		flipable.state = ""	
	}

	transform: Rotation
	{
		id: rotor
		origin.x: flipable.width / 2
		origin.y: flipable.height / 2
		axis.x: 0; axis.y: 1; axis.z: 0
		angle: 0
	}
	
	states: State 
	{
		name: "back"
		PropertyChanges 
		{ 
			target: rotor; 
			angle: 180 
		}
	}
	transitions: Transition
	{
		SequentialAnimation
		{
	        ScriptAction
	        {
	            id: preScript
				script: flipable.animationStarted();
	        }
	        ParallelAnimation
	        {
	            NumberAnimation
	            {
	            	target: rotor;
	            	properties: "angle";
					duration: animated ? 600 : 0
	            }
	            SequentialAnimation
	            {
					NumberAnimation { target: flipable; property: "scale"; to: 0.5; duration: animated ? 300 : 0 }
					NumberAnimation { target: flipable; property: "scale"; to: 1.0; duration: animated ? 300 : 0 }

	            }
	        }
	                
			ScriptAction
			{
				id: postScript
				script: flipable.animationFinished();
			}
	    }
    }
}
