import QtQuick 1.1
import "../fonts" as Fonts

Item
{
    id: editBox

    property variant target: edit
    property string property: "text"

    property string scheme: "http://"

    property alias validator: edit.validator
    property variant showBorder: true

    property variant fontStyles: Fonts.Common{}
    property int margin: 6
    property alias textfont: edit.font
    property real minHeight: 30
    property bool fontBold: false
    property color textColorDisabled:	"gray"

    property alias backgroundImage: editBorder.backgroundImage
    property alias disabledImage: editBorder.disabledImage
    property alias leftBorder: editBorder.leftBorder
    property alias rightBorder: editBorder.rightBorder

    property int tabOrder: 1

    property alias isActiveFocus: edit.activeFocus
    function setActiveFocus()
    {
            edit.forceActiveFocus();
    }

    height: Math.max(edit.height + 2 * margin, minHeight)

    EditBorder
    {
        id: editBorder
    }

    EditableMessageArea{anchors.fill: edit}

    Text {
        id: schemeTextId
        anchors {
            left: parent.left
            leftMargin: editBox.margin
            verticalCenter: parent.verticalCenter
        }
        color: textColorDisabled
        text: scheme
    }

    TextInput
    {
        id: edit
        property int tabOrder: 1
        font: fontBold ? editBox.fontStyles.standardEditBoxFontBold : editBox.fontStyles.standardEditBoxFont
        anchors.left: schemeTextId.right
        anchors.right:parent.right
        anchors.rightMargin:editBox.margin
        anchors.verticalCenter: parent.verticalCenter
        autoScroll: true
        selectByMouse:true
        echoMode: TextInput.Normal;
        horizontalAlignment: TextEdit.AlignLeft

        onTextChanged:
        {
            if (text.substring(0, scheme.length) == scheme)
                text = text.substring(scheme.length, text.length)
            editBox.target[editBox.property] = scheme + text
        }

        Component.onCompleted: text = eval("editBox.target." + editBox.property)
    }
}
