import QtQuick 1.1
import ".." as Widgets

Item
{
	id: widget
	property variant target
	property string property
	property int minValue
    property int maxValue

	property bool hasMarks1
	property bool hasMarks2

	property Item body: body

	width: parent.width
	height: childrenRect.height

	Column
	{
		objectName: "Column"
		width: parent.width
		Item
		{
			width: 1
			height: 2
			visible: hasMarks1
		}
		Marks
		{
			body: body;
			visible: hasMarks1;
		}
        Item
        {
            width: 1
            height: 2
            visible: hasMarks1
        }
		Body
		{
			id: body
			objectName: "Body"
			target: widget.target
			property: widget.property
			minValue: widget.minValue
            maxValue: widget.maxValue
		}
        Item
        {
            width: 1
            height: 3
            visible: hasMarks2
        }
		Marks
		{
			body: body;
			visible: hasMarks2;
		}
		Item
		{
			width: 1
			height: 2
			visible: hasMarks2
		}
	}
}

