import QtQuick 1.1
import QtWidgetProxies 1.0
import "../common/fonts" as Fonts
import "../common/widgets" as Widgets
import "../main_window" as MainFrame
import "../common/HelpMapper.js" as HelpMapper
import "../common/Common.js" as Common
import "../common/Stat.js" as Stat

MainFrame.InnerContent
{
    id:				ksnPanel
    objectName:		"KsnPanel"
    anchors.fill:	parent

    property int helpId: HelpMapper.KsnAboutCloudProtectionHelpId

	Localizer { id:tr; scope:"Online" }

    property variant context:		MainWindow.online
    caption:						tr.Localize("AboutCloudProtection")
    property variant fontStyles: Fonts.Online{}

    viewArea: Component
    {
        Item
        {
            Image
            {
                anchors.right: parent.right
                anchors.bottom: parent.bottom
                source: "../common/images/ksn/ksn_bg.png"
            }

            Item
            {
                anchors.fill: parent
                anchors.margins: 25

                Column
                {
                    width : parent.width
                    spacing: 20
                    Text
                    {
                        width : parent.width
                        text: tr.Localize("KsnAboutMain")
                        font: fontStyles.boldNormal
                        wrapMode: "WordWrap"
                        horizontalAlignment: Text.AlignLeft
                    }

                    Text
                    {
                        objectName:	"ButtonKsnAboutDetails"
						id: textWithLink
                        width : parent.width
                        text: tr.Localize("KsnAboutDetails")
                        font: fontStyles.normal
                        Widgets.ClickableForLinksInText
                        {
                            onLinkActivated:
							{
                                Stat.onButtonClick(Common.buildDelegatelessPath(textWithLink));
								Window.OpenURL(context.GetShowMoreInfoLink())
							}
                        }
                        wrapMode: "WordWrap"
                        horizontalAlignment: Text.AlignLeft
                    }
                }

                Text
                {
                    anchors.bottom: parent.bottom
                    width : parent.width
                    text: tr.Localize("KsnAboutNote")
                    font: fontStyles.normal
                    wrapMode: "WordWrap"
                    horizontalAlignment: Text.AlignLeft
                }
            }
        }
    }
}
