import QtQuick 1.1
import QtWidgetProxies 1.0
import "../common/fonts" as Fonts
import "../common/widgets" as Widgets

Item
{
	property variant fontStyles: Fonts.Online{}
	property variant infoItems
	
	Localizer { id:tr; scope:"Online" }

	Column
	{
		id: column
		width : parent.width
		height: childrenRect.height

		Text
		{
			text: tr.Localize("CloudHeader1")
			font: fontStyles.header1
			anchors.left: parent.left
			horizontalAlignment: Text.AlignLeft
		}
		Text
		{
			text: tr.Localize("CloudHeader2")
			font: fontStyles.header2
			anchors.left: parent.left
			horizontalAlignment: Text.AlignLeft
		}

		Item
		{
			width: parent.width
			height: 11
			anchors.left: parent.left
		}

		Repeater
		{
			model: infoItems
			height: childrenRect.height
			anchors.left: parent.left

			RightInfoItem
			{
				anchors.left: parent.left
				bodyText: tr.Localize(model.body)
			}
		}

		Item
		{
			width: parent.width
			height: 12
		}

		Image
		{
			width: parent.width
			source: "../common/images/inner/list_separator.png"
			mirror: Window.Mirror
		}
	}
}
