import QtQuick 1.1
import "../common/widgets" as Widgets

Item
{
	id: choiceArea
	property variant model
	property string currentFeatureName: featuresList.currentFeatureName
	objectName: "ChoiceArea"
	width: groupTabs.width

	function selectPage(pageName)
	{
		var groupName = groupNameFromPageName(pageName)
		if (groupName === "")
		{
			console.log("page " + pageName + " not found")
			return;
		}
		groupTabs.selectGroup(groupName)
		featuresList.selectPage(pageName)
	}

	function groupNameFromPageName(pageName)
	{
		for (var i in model)
		{
			var group = model[i]
			var pageNames = group.SettingsNames
			for (var j in pageNames)
			{
				if (pageNames[j] == pageName)
				return group.Name
			}
		}
		return "";
	}

	Rectangle
	{
		anchors.fill: parent
		color: "#fff0f0"
	}

	GroupTabs
	{
		id: groupTabs
		objectName: "GroupTabs"
		anchors.left: parent.left
		model: choiceArea.model
	}
	FeaturesList
	{
		id: featuresList
		anchors
		{
			left: parent.left
			right: parent.right
			top: groupTabs.bottom
			bottom: parent.bottom
		}
		property variant currentGroup: groupTabs.currentGroup
		groupName: currentGroup ? currentGroup.Name : ""
		model: currentGroup ? currentGroup.SettingsNames : undefined
	}
}

