import QtQuick 1.1
import QtWidgetProxies 1.0

Column
{
	property variant context
	spacing: 5
	objectName: "ScanRunModeAndScopeColumn"
    Localizer { id: tr; scope: "SettingsScanRunModeAndScope" }
    width: parent.width

	ButtonTextRow
	{
        id: runMode
        objectName: "RunMode"
		buttonText: tr.Localize("RunMode")
        minWidth: 0
		labelText: context.scheduleDescription
		onClicked: context.EditRunMode()
        anchors.left: parent.left
	}

	ButtonTextRow
	{
        id: scanScope
		objectName: "ScanScope"
		buttonText: tr.Localize("ScanScope")
        minWidth: 0
		labelText: tr.Localize((context.isDefaultScanScope ? "Default" : "Custom") + "ScanObjects")
		onClicked: context.EditScanScope()
        anchors.left: parent.left
	}

    Component.onCompleted:
    {
        var maxWidth = Math.max(runMode.buttonWidth, scanScope.buttonWidth);
        runMode.minWidth = maxWidth;
        scanScope.minWidth = maxWidth;
    }
}
