import QtQuick 1.1
import ".." as SettingsCommon
import "../SettingsMargins.js" as Margins
import "../SettingsHelper.js" as SettingsHelper
import "../../common/HelpMapper.js" as HelpMapper

Column
{
	id: settingsPage
    objectName: "ScanStartup"

    property int helpId: HelpMapper.ScanStartupSettingsHelpId

	property variant context: SettingsHelper.GetPageContext(Settings, "ScanStartup")
    spacing: Margins.settingsPageSpacing

	SettingsCommon.SecurityLevelSection
	{
        objectName: "ScanStartupSecurityLevel"
        smallTopMargin: true
		context: settingsPage.context.levelViewModel
	}

	SettingsCommon.ThreatDetectionActionSection
	{
        objectName: "ScanStartupThreatDetection"
		context: settingsPage.context.threatViewModel
	}

	SettingsCommon.ScanRunModeAndScopeSection
	{
        objectName: "ScanStartupScanRunMode"
		context: settingsPage.context.runModeAndScopeViewModel
	}
}
