import QtQuick 1.1
import QtWidgetProxies 1.0
import "../../../common/widgets" as Widgets
import "../../../common/widgets" as Widgets
import "../../../common/border" as Border
import "../../../common/Colors.js" as Colors
import "../../../common/fonts" as Fonts
import "../../../common/HelpMapper.js" as HelpMapper

Item
{
    id: greetings
    objectName: "memoPage"

    Localizer { id: tr; scope: "RescueDiskWizard" }

    property variant context: RescueDiskWizard.GetPageContext()
    property variant commonFontStyles: Fonts.Common{}
    property string textMarker: rescueDiskMain.getMarker()

    function getHelpId()
    {
        return HelpMapper.RescueDiskWizardIntroHelp;
    }

    Column
    {
        anchors.left: parent.left
        anchors.top: parent.top
        anchors.right: parent.right
        anchors.leftMargin: 40
        anchors.topMargin: 40
        anchors.rightMargin: 40
        spacing: 20
        width: parent.width

        Text
        {
            wrapMode: Text.WordWrap
            font: commonFontStyles.standardSmallCaptionFont
            text: tr.Localize("MemoPageTitle_"+textMarker)
        }

        Rectangle { color: "lightgray"; width: parent.width; height: 1 }

        Text
        {
            horizontalAlignment: Text.AlignLeft
            wrapMode: Text.WordWrap
            text: tr.Localize("MemoPageDescription_"+textMarker);
        }
    }
}

