import QtQuick 1.1
import QtWidgetProxies 1.0
import "../common/EnumHelper.js" as EnumHelper

ActivationBasePage
{
	objectName: "activationPageProcessing"
	Localizer { id:tr; scope:"LicenseManager" }
	headerString:		tr.Localize("CheckActivationCodeString")
	nextButtonEnabled:		context.ActivationPageProcessing.IsNextEnabled
		
	Rectangle
	{
		anchors.fill: mainBlock
	}
	
	Column
	{
		id: mainBlock
		anchors.left:				parent.left
		anchors.right:				parent.right
		anchors.verticalCenter:		parent.verticalCenter
		AnimatedImage
		{
			anchors.horizontalCenter:		parent.horizontalCenter
			source:							"../common/images/loader_48.gif"
		}
		Item {width: parent.width; height: 18 }
		Text
		{
			objectName: "textForWaitingActivation"
			horizontalAlignment:			Text.AlignHCenter
			anchors.left:					parent.left
			anchors.right:					parent.right
			wrapMode:						Text.Wrap
			text:							tr.Localize("TextForWaitingActivation")
			font:							activationWizard.fontStyles.stateTextForWaitingActivation
		}
		Item {width: parent.width; height: 2 }
		Text
		{
			objectName: "activationProgressText"
			horizontalAlignment:			Text.AlignHCenter
			anchors.left:					parent.left
			anchors.right:					parent.right
			wrapMode:						Text.Wrap
			text:							context.ActivationPageProcessing.ActivationProgressString != "" ? tr.Localize(context.ActivationPageProcessing.ActivationProgressString) : ""
			font:							activationWizard.fontStyles.reasonTextForWaitingActivation
		}
	}
}

