import QtQuick 1.1
import QtWidgetProxies 1.0

Slider
{
	id: widget

	property variant localizer

	minValue: 0
	maxValue: target && property ? EnumExtension.GetCount(target, property) - 1 : 0

	labels:
	{
		if (!target || !property || !localizer)
			return null;
		var result = [];
		for (var i = minValue; i <= maxValue; ++i)
		{
			var key = EnumExtension.GetKeyByIndex(target, property, i);
			var label = localizer.Localize(key);
			result.push(label);
		}
		return result;
	}
}
