import QtQuick 1.1

QtObject
{
	// in
	property string text: ""
	// out
	property string textToShow: removeHotKey()
	property string hotKeyText: parseHotKey()

	// private:
	function replacer(str, p1, p2, offset, s)
	{
		return p2 ? "<u>" + p2 + "</u>" : p1;
	}
	function removeHotKey()
	{
		return text.replace(RegExp("&(&)|&(.)", "g"), replacer)
	}

	function parseHotKey()
	{
		var hotKey = "";
		var re = RegExp("&.", "g")
		var array
		while ((array = re.exec(text)) !== null)
		{
			var key = array[0][1];
			if (key === "&")
				continue;
			if (hotKey)
				console.log("multiple hot keys in text: '" + text + "'");
			else
				hotKey = key;
		}
		return hotKey;
	}
}
