import QtQuick 1.1
import QtWebKit 1.0
import QtWidgetProxies 1.0
import "../border" as Border
import "../fonts" as Fonts
import "../Colors.js" as Colors
import "../ProductTypeHelper.js" as ProductTypeHelper

Border.BorderedContent
{
    content: messageBox
    property variant context: ViewModel

    function showPage(page) {}

    SecondaryWindow
    {
        id: messageBox
        property variant commonFontStyles: Fonts.Common{}
        width: workAreaItem.flickable.contentWidth + 18
        height: workAreaItem.flickable.contentHeight + 39
		dpiScaleWidth: false
        objectName: "IpmMessageBox"
        caption: context.IPM.parametrizeString("$ApplicationType");
        hasFooter: false

        property color fillingColor: Colors.grayArea
        property color horizontalSeparatorColor: Colors.grayBorder
        property color horizontalLineColor: Colors.grayBorder

        workArea: Item
        {
            id: container
            width: childrenRect.width
            height: childrenRect.height
            property alias flickable: flickable

            Flickable
            {
                id: flickable
                height: contentHeight
                width: contentWidth
                contentWidth: context.width
                contentHeight: context.height
                pressDelay: 200

                IpmWebView
                {
                    id: content
                    preferredWidth: flickable.contentWidth
                    preferredHeight: flickable.contentHeight
                    url: context.content
                    interop: context
                    Connections
                    {
                        target: context.IPM;
                        onParametersChanged: content.reload.trigger();
                    }
                }
            }
        }
    }
}
