import QtQuick 1.1

Item
{
	property list<Item> focusedItems

	function focusedIndex()
	{
		var currentIndex;
		for (currentIndex = 0; currentIndex < focusedItems.length; currentIndex++)
		{
			if (focusedItems[currentIndex].activeFocus)
				break;
		}
		return currentIndex;
	}
	property int currentFocusedIndex: focusedIndex()
	function setNextItem(isForwardDirection, event)
	{
		for (var currentIndex = currentFocusedIndex + (isForwardDirection ? 1 : (-1));
			isForwardDirection ? (currentIndex < focusedItems.length) : (currentIndex >= 0);
			isForwardDirection ? (currentIndex++) : (currentIndex--))
		{
			var item = focusedItems[currentIndex];
			if (item.visible && item.enabled)
			{
				item.forceActiveFocus();
				return;
			}
		}
		event.accepted = false;
	}
	function onSetNext(event)
	{
		setNextItem(true, event);
	}
	function onSetPrevious(event)
	{
		setNextItem(false, event);
	}
}