import QtQuick 1.1

import "../common/widgets" as Widgets

Image
{
    id: background
    objectName: "ScanButtonWrapper"
    source: "../common/images/scan/btn_background.png"

    property int animationStep: 1
    property variant context
    signal clickStart
    signal clickStop

    Image
    {
        anchors.top: parent.top
        visible: button.isRunning
        source: "../common/images/scan/loader/loader_000" + animationStep + ".png"

        Timer
        {
            interval: 200
            repeat: true
            running: parent.visible

            onTriggered:
            {
                animationStep = (animationStep === 16 ? 1 : animationStep + 1);
            }
        }
    }

    Widgets.BaseButton
    {
        id: button
        objectName: parent.objectName
        focusRectEnabled: false
        Widgets.FocusImage
        {
            width: sourceSize.width
            anchors {
                verticalCenter: parent.verticalCenter
                verticalCenterOffset: -2
                horizontalCenter: parent.horizontalCenter
                horizontalCenterOffset: 1
            }
            source: "../common/images/focuses/focus_scan_button.png"
        }
        anchors.verticalCenter: parent.verticalCenter
        anchors.verticalCenterOffset: 2
        anchors.horizontalCenter: parent.horizontalCenter

        property bool isRunning: context.IsRunning
        property string faceImageNormal: isRunning ? "../common/images/scan/btn_pause_normal.png" : "../common/images/scan/btn_play_normal.png"
        property string faceImageHover: isRunning ? "../common/images/scan/btn_pause_hover.png" : "../common/images/scan/btn_play_hover.png"
        property string faceImagePressed: isRunning ? "../common/images/scan/btn_pause_pressed.png" : "../common/images/scan/btn_play_pressed.png"

        width: image.width
        height: image.height

        Image
        {
            id: image
            source: button.selectValue("", button.faceImageNormal, button.faceImageHover, button.faceImagePressed)
        }

        onClicked: isRunning ? background.clickStop() : background.clickStart()
    }
}


